
# do not change the version here, change in Libconf.pm
%define version 0.33
%define release 2.1.100mdk

Summary: Configuration file abstraction layer
Name: perl-Libconf
Version: %{version}
Release: %{release}
URL: http://www.libconf.net/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Perl
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: perl-XML-LibXML

%define _requires_exceptions perl(Libconf::Glueconf::KeyValue)

%description
Libconf is a wrapper to the main configuration files of the system. It's mainly
a generic parser plus many templates

%package gui
Summary: Graphic User Interface generator for any libconf module.
Group: Development/Perl
Requires: %{name}

%description gui
This module is able to generate a standard Gtk2 interface representing any high
level libconf module, that can be used in other Gtk2 programs.

%package samples
Summary: Set of graphical (gtk2) examples programs using libconf.
Group: Development/Perl
Requires: %{name} %{name}-gui

%description samples
This module is a set of programs, using gtk2 and libconf. Its goal is to give
example and proof of concept around the libconf project.

%prep
%setup -q

%build
make all
make -s check

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%doc ChangeLog
%{perl_vendorlib}/Libconf.pm
%{perl_vendorlib}/Libconf/Types.pm
%{perl_vendorlib}/Libconf/Glueconf
%{perl_vendorlib}/Libconf/Glueconf.pm
%{perl_vendorlib}/Libconf/System
%{perl_vendorlib}/Libconf/templates

%files gui
%defattr(-,root,root)
%doc COPYING
%doc ChangeLog
%{perl_vendorlib}/Libconf/GUI

%files samples
%defattr(-,root,root)
%doc COPYING
%doc ChangeLog
%{_bindir}/libconf_autologin
%{_bindir}/libconf_netconfig
%{_bindir}/libconf_postfix
%{_bindir}/libconf_smbconfig
%{_bindir}/libconf_swat
%{_bindir}/libconf_lan
%{_bindir}/libconf_isdn_answering

%changelog

* Fri May 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.33-2.1.100mdk
- update to satisfy requirements for new drakxtools

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.33-2mdk 
- BuildRequires

* Thu Apr 22 2004 dams <dams@libconf.net> 0.33-1mdk
- basically desktop section in systemconf added
- some bug fixes and corrections
- synchronization for ng-drakdm

* Tue Apr 07 2004 dams <dams@libconf.net> 0.32-2mdk
- corrected rpm url
- included full changelog

* Tue Apr 07 2004 dams <dams@libconf.net> 0.32-1mdk
- glueconf hierarchy change debug for SystemConf

* Tue Apr 07 2004 dams <dams@libconf.net> 0.31-1mdk
- glueconf hierarchy change debug for applications

* Tue Apr 06 2004 dams <dams@libconf.net> 0.30-1mdk
- new templates (exported[c]shell)
- debugging
- various cleaning and ordering tasks
- work in progress with drakxtools-ng (sourceforge)

* Mon Mar 05 2004 dams <dams@tuxfamily.org> 0.29-1mdk
- new glueconf hierarchy
- xf86config libconf template
- cleanup

* Mon Jan 13 2004 dams <dams@tuxfamily.org> 0.27-1mdk
- added upsusers template
- some xml export/import premises. Still alpha

* Thu Nov 27 2003 dams <dams@tuxfamily.org> 0.26-1mdk
- cleaning, debugging, corrections
- titi joined the party, making libconf perl_checker compliant
- libconf_isdn_answering added

* Fri Nov 14 2003 dams <dams@tuxfamily.org> 0.25-1mdk
- minor corrections
- libconf_lan added

* Fri Nov 14 2003 dams <dams@tuxfamily.org> 0.24-1mdk
- rewrote comments handler, corrected bug
- corrected DirectoryWrapper
- added interfaces list and fetures in lan_conf

* Sun Nov 02 2003 dams <dams@tuxfamily.org> 0.23-1mdk
- better data validation
- improved GUI
- more glueconf modules
- network system module completed
- lot of other stuff...
- packaging and miscellaneous corrections, thanks to tvignaud

* Wed Aug 27 2003 dams <dams@tuxfamily.org> 0.22-1mdk
- added more glueconf modules
- best gui generator
- best data specification / mapping
- new package -samples, provides executables as prototypes

* Tue Jul 29 2003 dams <dams@tuxfamily.org> 0.21-1mdk
- samba template rewritten
- swat-clone application initiated
- gui generator getBestWidget added
- data specification added in samba template, and implemented in main libconf module.

* Sat Jun 14 2003 dams <dams@tuxfamily.org> 0.20-1mdk
- version 0.20
- added Libconf GUI GTK2 module

* Sun Jun 04 2003 dams <dams@tuxfamily.org> 0.19-1mdk
- version 0.19
- added Samba Glueconf module
- various fix and improvements

* Sun May 25 2003 dams <dams@tuxfamily.org> 0.18-1mdk
- version 0.18
- corrected Glueconf installation
- added Libconf::System in tarball and rpm

* Sat May 24 2003 dams <dams@tuxfamily.org> 0.17-1mdk
- version 0.17
- new comments handler (inline comments are supported)
- rewritten System/DirectoryWrapper.pm

* Sun Apr 6 2003 dams <dams@tuxfamily.org> 0.16-1mdk
- version 0.16

* Sun Feb 2 2003 dams <dams@tuxfamily.org> 0.1-1mdk
- first mdk package
